# Uses of Class
org.eclipse.birt.chart.computation.Engine3D

Packages that use Engine3D
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Engine3D in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type Engine3D
Modifier and Type
Method
Description
`void`
Object3D.`clip(Engine3D engine)`
Check and clip vectors by given engine.
`boolean`
Object3D.`testSwap(Object3D near, Engine3D engine)`
Tests if two objects need swapping.

## Uses of Engine3D in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Engine3D
Modifier and Type
Method
Description
`final Engine3D`
PlotWith3DAxes.`get3DEngine()`
Returns the 3D engine for this render.

## Uses of Engine3D in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Engine3D
Modifier and Type
Method
Description
`void`
DeferredCache.`process3DEvent(Engine3D engine, double xOffset, double yOffset)`
Pre-process all the 3D rendering events.
`void`
DeferredCacheManager.`process3DEvent(DeferredCache deferredCache, Engine3D engine, double xOffset, double yOffset)`
Pre-process all the 3D rendering events.